org.eclnt.jsfserver.pagebean.provider

## Class PageBeanProvider<PBCLASS extends IPageBean>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<java.lang.String,PBCLASS>
    - - org.eclnt.jsfserver.pagebean.provider.PageBeanProvider<PBCLASS>

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,PBCLASS>, IPageBeanProvider

      public class PageBeanProvider<PBCLASS extends IPageBean>
      extends java.util.HashMap<java.lang.String,PBCLASS>
      implements IPageBeanProvider

  Default implementation if `IPageBeanProvider`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageBeanProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IPageBean` | `createPageBean(PageBeanComponentData pbInitData)`
    `protected PBCLASS` | `createPageBeanInstance(java.lang.String className, PageBeanComponentData pbInitData)`
    `protected java.lang.String` | `findClassName(PageBeanComponentData pbInitData)`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### PageBeanProvider

          public PageBeanProvider()

  - ### Method Detail

    - #### createPageBean

          public final IPageBean createPageBean(PageBeanComponentData pbInitData)

      Specified by:
        `createPageBean` in interface `IPageBeanProvider`

    - #### findClassName

          protected java.lang.String findClassName(PageBeanComponentData pbInitData)

    - #### createPageBeanInstance

          protected PBCLASS createPageBeanInstance(java.lang.String className,
                                                   PageBeanComponentData pbInitData)

Copyright © CaptainCasa Gmbh. All Rights Reserved.